STUIRDA(4) | Device Drivers Manual | STUIRDA(4)

# NAME

`stuirda` —
Sigmaltel 4116/4220 USB-IrDA bridge support

# SYNOPSIS

`stuirda* at uhub?`
`irframe* at uirda?`

# DESCRIPTION

The `stuirda` driver provides support for SigmaTels USB-IrDA bridges that nearly follow the bridge specification:

SigmaTel ST4116
SigmaTel ST4210
SigmaTel ST4220

Access to the IrDA device is through the irframe(4) driver. Before accessing it, a firmware patch must be downloaded. At the time of writing this, it can be found at: http://www.sigmatel.com/documents/stir4210_4220_4116_patch_files.tar.gz

Unpack the archive with

`tar` `-C` /libdata/firmware/stuirda/ `-xzf` stir4210_4220_4116_patch_files.tar.gz

# SEE ALSO

irframe(4), usb(4)

# HISTORY

The `stuirda` driver appeared in NetBSD 5.0.

# BUGS

`stuirda` needs the firmware for configuration, so it can't be loaded at kernel startup time. As a workaround, you can plug in the USB-IrDA-bridge after booting.

October 13, 2008 | NetBSD 10.1